/* CONFIGGURACION DE FUENTES */
@font-face {
    font-family: "harukaze";
    src: url("../res/fonts/harukaze/Harukaze.ttf");
}   
@font-face {
    font-family: "anbu";
    src: url("../res/fonts/anbu/njnaruto.ttf");
}

/* REGLAS DE ESTILOS PARA EL NAVBAR */
.container-main-sticky{
    position: fixed;
    top: 0;
    min-height: 90px;
    width: 100%;
}
.navbar-container {
    display: grid;
    grid-template-columns: repeat(10 , 10%);
    background: linear-gradient(to right, #000000, #434343); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    justify-content: center;
    height: 90px;
    transition: 2s;
    box-shadow: 0 2px 2px gray;
    color: white;
    position: sticky;
}
.navbar-items {
    justify-self: center;
    align-self: center;
}
#ico-home{
    /* background: sienna; */
    grid-column-start: 1;
    grid-column-end: 4;
    width: 100%;
    height: inherit;
    text-align: center;
    background-image: url(../../nav_bar/res/image/header_side_background.jpg);
    background-size:cover;
    color: white;
    text-shadow: 5px 5px 5px black;
}
#navbar-title{
    grid-column-start: 4;
    grid-column-end: 7;
}
#navbar-title span {
    font-family: "anbu";
    font-size: 30px;
}
#home{
    grid-column-start: 8;
}
#products {
    grid-column-start: 9;
    cursor: pointer;
}
#products:hover {
    border-bottom: 2px solid white;
}
#contact {
    cursor: pointer;
    grid-column-start: 10;
}
#contact:hover{
    border-bottom: 2px solid white;
}

/* Boton hamburguesa configuracion inicial*/
.button-hamburguer{
    background: gray;
    border: 2px solid black;
    color: black;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    display: block;
    /* position: fixed; */
    z-index: 4;
    display: none;
    text-align: center;
    justify-content: center;
    padding: 10px;
    position: sticky;
    top:0;
}
.container-hamburguer{
    min-height: 40px;
    position: fixed;
    z-index: 2;
}

/* MEDIA QUERIES */
@media screen and (max-width : 768px){
    .container-main-sticky{
        position: fixed;
        top: 0;
        min-height: 50px;
        width: 100%;
    }
    .navbar-container {
        display: grid;
        grid-template-columns: 30% 25% 15% 15% 15%;
        background: linear-gradient(to right, #000000, #434343); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
        justify-content: center;
        height: 50px;
        font-size: 12px;
        /* position: sticky; */
    }
    #ico-home{
        grid-column-start: 1;
        grid-column-end: 2;
    }
    #navbar-title{
        grid-column-start: 2;
        grid-column-end: 3;
        /* padding-left: 7px; */
        font-size: 12px;
    }
    #navbar-title span {
        font-family: "anbu";
        font-size: 25px;
    }
    #home{
        grid-column-start: 3;
    }
    #products {
        grid-column-start: 4;
    }
    #contact {
        grid-column-start: 5;
    }
}

@media screen and (max-width : 480px){
    .navbar-container {
        display: grid;
        grid-template-columns: repeat(1 , 100%); 
        grid-template-rows: repeat(2 , 50%);
        background: linear-gradient(to right, #000000, #434343); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
        justify-content: left;
        height: 80px;
        transition: .5s;
        width: 100vw;
        position: fixed;
        z-index: 1;
    }
    .navbar-items {
        justify-self: center;
        align-self: center;
        padding-left: 15px;
        padding-right: 15px;
        border: 1px solid white;
    }
    #ico-home{
        background: sienna;
        display: none;
    }
    #navbar-title{
        display: none;
    }
    #home{
        grid-column-start: 1;
        grid-row-start: 1;
        display: none;
    }
    #products {
        grid-column-start: 1;
        grid-row-start: 1;
    }
    #contact {
        grid-column-start: 1;
        grid-row-start: 2;
    }
    .button-hamburguer{
        display: block;
    }
    .show-navbar {
        left: 0;
    }
    .hide-navbar {
        margin-left: -500px;
    }
}